EDIT - feature request #5891

Taxon appended phrase should not allow empty string
06/15/2016 01:13 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:30 hour
Target version: Release 4.4

Severity: normal

Description

Currently, when deleting the appended phrase field in taxon an empty string is stored in the database. Null should be stored instead.

The general issue has been discussed for similar fields so we need to check first how this is implemented at other places.

Associated revisions

Revision ceaa3fed - 10/17/2016 10:12 AM - Katja Luther

fix #5891: save null instead of empty string for text fields

History

#1 - 09/02/2016 02:39 PM - Andreas Miiller
- Description updated

- Priority changed from New to Highest

#2 - 10/05/2016 11:39 AM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to Release 4.4

- Estimated time set to 0:30 h

#3 - 10/18/2016 06:40 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|ceaa3fed461d7c19d3fc124917b4bbfeb35d3f36.

#4 - 10/21/2016 10:14 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#5 - 11/02/2016 07:34 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Fixed

#6 - 01/03/2017 02:58 PM - Andreas Miuller

- Private changed from Yes to No
